<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrOtherInfo37Mapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrOtherInfo37">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="entityName" column="entity_name" jdbcType="VARCHAR"/>
            <result property="entityCode" column="entity_code" jdbcType="VARCHAR"/>
            <result property="entityCodeAdd" column="entity_code_add" jdbcType="VARCHAR"/>
            <result property="entityType" column="entity_type" jdbcType="VARCHAR"/>
            <result property="inventoryId" column="inventory_id" jdbcType="BIGINT"/>
            <result property="inventorySourceId" column="inventory_source_id" jdbcType="BIGINT"/>
            <result property="metaId" column="meta_id" jdbcType="BIGINT"/>
            <result property="status" column="status" jdbcType="VARCHAR"/>
            <result property="isDel" column="is_del" jdbcType="INTEGER"/>
            <result property="depId" column="dep_id" jdbcType="BIGINT"/>
            <result property="orgId" column="org_id" jdbcType="BIGINT"/>
            <result property="batchNo" column="batch_no" jdbcType="BIGINT"/>
            <result property="createUser" column="create_user" jdbcType="VARCHAR"/>
            <result property="updateUser" column="update_user" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="dataCode" column="data_code" jdbcType="VARCHAR"/>
            <result property="tablename" column="TABLENAME" jdbcType="VARCHAR"/>
            <result property="ztlb" column="ztlb" jdbcType="VARCHAR"/>
            <result property="userinfo" column="USERINFO" jdbcType="VARCHAR"/>
            <result property="paymentDetail" column="PAYMENT_DETAIL" jdbcType="VARCHAR"/>
            <result property="monthlyConsumption3" column="MONTHLY_CONSUMPTION_3" jdbcType="DECIMAL"/>
            <result property="monthlyConsumption6" column="MONTHLY_CONSUMPTION_6" jdbcType="DECIMAL"/>
            <result property="isInArrears" column="IS_IN_ARREARS" jdbcType="VARCHAR"/>
            <result property="tjsj" column="tjsj" jdbcType="TIMESTAMP"/>
            <result property="tablecode" column="TABLECODE" jdbcType="VARCHAR"/>
            <result property="entityZtlb" column="entity_ztlb" jdbcType="DECIMAL"/>
            <result property="reportState" column="report_state" jdbcType="VARCHAR"/>
            <result property="openDate" column="Open_Date" jdbcType="TIMESTAMP"/>
            <result property="userAddress" column="User_Address" jdbcType="VARCHAR"/>
            <result property="advanceAmount" column="Advance_Amount" jdbcType="VARCHAR"/>
            <result property="arrearageAmount" column="Arrearage_Amount_" jdbcType="VARCHAR"/>
            <result property="onehouseOnemeter" column="Onehouse_Onemeter" jdbcType="VARCHAR"/>
            <result property="paymentPeriod" column="Payment_Period" jdbcType="VARCHAR"/>
            <result property="statisticalDate" column="Statistical_Date" jdbcType="VARCHAR"/>
            <result property="remark" column="Remark" jdbcType="VARCHAR"/>
            <result property="areacode" column="Areacode" jdbcType="VARCHAR"/>
            <result property="statisticalBaseDate" column="Statistical_Base_Date" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,entity_name,entity_code,
        entity_code_add,entity_type,inventory_id,
        inventory_source_id,meta_id,status,
        is_del,dep_id,org_id,
        batch_no,create_user,update_user,
        create_time,update_time,data_code,
        TABLENAME,ztlb,USERINFO,
        PAYMENT_DETAIL,MONTHLY_CONSUMPTION_3,MONTHLY_CONSUMPTION_6,
        IS_IN_ARREARS,tjsj,TABLECODE,
        entity_ztlb,report_state,Open_Date,
        User_Address,Advance_Amount,Arrearage_Amount_,
        Onehouse_Onemeter,Payment_Period,Statistical_Date,
        Remark,Areacode,Statistical_Base_Date
    </sql>
</mapper>
